## org.mortbay.io
Class Portable

    java.lang.Object
      org.mortbay.io.Portable

    public class Portable

extends Object

Portability class containing methods not available on all JVMs (specifically SuperWaba).

Author:
  gregw

Field Summary
`static String` `ALL_INTERFACES`

Constructor Summary
`Portable()`

Method Summary
`static void` `arraycopy(byte[] src, int srcOffset, byte[] dst, int dstOffset, int length)`
`static byte[]` `getBytes(String s)`
`static void` `throwNotSupported()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_INTERFACES

    public static final String ALL_INTERFACES

See Also:
  Constant Field Values

Constructor Detail

### Portable

    public Portable()

Method Detail

### arraycopy

    public static void arraycopy(byte[] src,
                                 int srcOffset,
                                 byte[] dst,
                                 int dstOffset,
                                 int length)

### throwNotSupported

    public static void throwNotSupported()

### getBytes

    public static byte[] getBytes(String s)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.